#include <iostream>

using namespace std;

int main()
{
    int prviKrug, drugiKrug, treciKrug;

    cin >> drugiKrug >> treciKrug;



    if (drugiKrug + treciKrug >= 256)
        prviKrug = 0;
    else if (drugiKrug > treciKrug)
        prviKrug = 256 - drugiKrug;
    else prviKrug = 256 - treciKrug;





    cout << prviKrug << endl;




    return 0;
}